﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 05/06/2019 12:04:36
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS opcion1;

CREATE DATABASE IF NOT EXISTS opcion1
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE opcion1;

--
-- Create table `socio`
--
CREATE TABLE IF NOT EXISTS socio (
  codsocio int(11) NOT NULL,
  PRIMARY KEY (codsocio)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 3276,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `ejemplar`
--
CREATE TABLE IF NOT EXISTS ejemplar (
  codejemplar int(11) NOT NULL,
  PRIMARY KEY (codejemplar)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `presta`
--
CREATE TABLE IF NOT EXISTS presta (
  cejemplar int(11) NOT NULL,
  csocio int(11) NOT NULL,
  fechaentrada date DEFAULT NULL,
  fechasalida date DEFAULT NULL,
  PRIMARY KEY (cejemplar, csocio)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE presta
ADD CONSTRAINT FK_prestasocio FOREIGN KEY (csocio)
REFERENCES socio (codsocio) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Create foreign key
--
ALTER TABLE presta
ADD CONSTRAINT fkprestaejemplar FOREIGN KEY (cejemplar)
REFERENCES ejemplar (codejemplar);

-- 
-- Dumping data for table socio
--
INSERT INTO socio VALUES
(0),
(1),
(2),
(3),
(4);

-- 
-- Dumping data for table ejemplar
--
INSERT INTO ejemplar VALUES
(1),
(2),
(3),
(4);

-- 
-- Dumping data for table presta
--
INSERT INTO presta VALUES
(1, 1, NULL, NULL),
(1, 2, NULL, NULL),
(3, 3, NULL, NULL);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;